#!/usr/bin/python3
# -*- coding: utf-8 -*-
from .Evo_Swipe_Plus_py3 import Evo_Swipe_Plus
from .GestureGUI import GestureGUI


def main():
    sensor = Evo_Swipe_Plus()
    gui = GestureGUI(sensor)
    bidirectional_count = [0, 0, 0]
    presence_count = 0
    last_gesture = "-"
    presence_status = "-"
    engagement_status = "-"
    validation_status = "-"

    stop = False
    try:
        while not stop:
            # Convert in mm
            header, data = sensor.get_ranges()
            if header == b'DD':
                ranges = data
                if (ranges[0] > 0.150 or ranges[0] < 0) and (ranges[1] > 0.150 or ranges[1] < 0):
                    validation_status = "-"
            elif header == b'TT':
                ranges = data
                if ranges[0] > 0.150 or ranges[0] < 0:
                    validation_status = "-"
            elif header == b'PC':
                bidirectional_count = data
            elif header == b'TS':
                last_gesture = data[0]
            elif header == b'PP':
                presence_status = data[0]
                presence_count = data[1]
            elif header == b'PR':
                presence_count = data[0]
            elif header == b'EE':
                engagement_status = data[0]
            elif header == b'VV':
                validation_status = data[0]

            gui.update_gui(bidirectional_count, last_gesture, presence_status, presence_count, engagement_status, validation_status)

    except KeyboardInterrupt:
        pass


if __name__ == "__main__":
    main()
